//MyTexture.h
#ifndef __MYTEXTURE_H
#define __MYTEXTURE_H


class MyTexture
{
public:
	struct FilterMode
	{
		DWORD minFilter;
		DWORD magFiler;
		DWORD mipFiler;
	};

private:
	IDirect3DTexture9* m_pDeviceTexture;
	FilterMode         m_filterMode;
	char*			   m_szTextureName;

public:
	MyTexture( const char* szTextureName);
	virtual ~MyTexture();

	void Release();
	bool SetTexture( IDirect3DDevice9* pDevice);
	void SetFilterMode( int iIndex, FilterMode filterMode);
	FilterMode GetFilerMode( int iIndex);

private:
	bool Load( IDirect3DDevice9* pDevice);
};


#endif