//MyBox.h
#ifndef __MYBOX_H
#define __MYBOX_H

class MyMesh;
class MyTexture;
class MyMaterial;
class MyRenderer;

class MyBox
{
	MyMesh*		m_pMesh;
	MyTexture*  m_pTexture;
	MyMaterial* m_pMaterial;

public:
	MyBox( );
	~MyBox();
	void		Create( const MyVector3& min, const MyVector3& max );
	void		Create( float xradius, float yradius, float zradius );
	void        Render( IDirect3DDevice9* pDevice, MyRenderer* pRenderer, const MyVector3& pos, const D3DXMATRIX& rotMat);
	MyMesh*		GetMyMesh();
	const MyVector3& GetRadius()
	{
		return m_radius;
	}

private:
	MyVector3 m_radius;
};


#endif