//TerrainUtil.h
#ifndef __TERRAINUTIL_H
#define __TERRAINUTIL_H

typedef unsigned short uint16;
typedef short		   int16;


struct MinMax2D
{
	int xMin;
	int xMax;
	int yMin;
	int yMax;
};

struct ColRow
{
	int col;
	int row;
};


namespace Terrain { namespace Define 
{
	extern uint16 cellNum;
	extern uint16 vertsNum;
	extern uint16 triListNum;
	extern uint16 triNum;
	extern float  fVertexStride;
}}

namespace Terrain {
	uint16	GetCellNum();
	void	SetCellNum( uint16 unCell );
	
	uint16  GetVertsNum();
	void	SetVertsNum( uint16 unVertsNum );

	uint16  GetTriListNum();
	void	SetTriListNum( uint16 unTriListNum );

	uint16  GetTriNum();
	void	SetTriNum( uint16 unTriNum );

	float   GetVertexStride();
	void	SetVertexStride( float fVertexStride );
}

namespace Terrain { namespace Util {
	

}}


#endif